This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 132139 - Candidates in the candidate windows cannot be selected
Candidates in the candidate windows cannot be selected
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: iiimf-le-xcin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-09-09 00:53 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 00:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example of the description. (369.67 KB, image/png)
2004-09-09 00:56 EDT, Lawrence Lim
no flags Details
iiimf-le-xcin-0.1.5-4 (117.27 KB, image/png)
2004-09-16 22:06 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2004-09-09 00:53:45 EDT
Description of problem:
Candidates in the candidates window cannot be selected as it is not
index (with numbers 1-9). This happen for all tones in g-t and only
tone 1 for gedit.

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-5.svn1891
- iiimf-le-xcin-0.1.7-4

How reproducible:
Always

Steps to Reproduce:
1.start gnome terminal/gedit
2.zuyin or pinyin mode
3. start input
  
Actual results:
Candidates in the candidates window are not index and as a result,
candidates cannot be selected.

Expected results:
Candidates index with number so that it can be selected from the
candidate window.

Additional info:
Affects only pinyin mode and zuyin mode.
Comment 1 Lawrence Lim 2004-09-09 00:56:02 EDT
Created attachment 103623 [details]
An example of the description.
Comment 2 Leon Ho 2004-09-09 03:13:04 EDT
iiimf-le-xcin is migrated the keystroke from old xcin now, so it does
not require press "shift" to enter tones. Try "hong2" and it will lock
into candidate and able to type in numbers.
Comment 3 Lawrence Lim 2004-09-14 00:09:36 EDT
Hm..maybe you misunderstood me. :)

Try the following steps:
1) start g-t
2) toggle on xcin -> change mode to pinyin
3) hong
4) try to select any of the candidates from the candidates window
Comment 4 Lawrence Lim 2004-09-16 22:06:55 EDT
Created attachment 103938 [details]
iiimf-le-xcin-0.1.5-4

In the older version of xcin, the behaviour does not seems to happen.
Comment 5 Leon Ho 2004-09-16 22:30:35 EDT
Yup, the behavior is changed when 0.1.5 to 0.1.7. Those feature is
migrated from old xcin's gen_inp. If we are not using this behavior,
ZuYin will not be able to operate correctly.
Comment 6 Leon Ho 2004-09-30 00:26:52 EDT
Let me know if you find this behavior differ in ZuYin and PinYin. 

Note You need to log in before you can comment on or make changes to this bug.